<?php


class Encadernacao
{
	private $sql;
	public $qry;
	private $id_empresa;
	private $mysqlCom;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$this->mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($this->mysqlCom->connect(), $this->sql);
	}


	function SelectEncadernacao($id_evento)
	{
		$this->sql = "select id_evento_encadernacao, id_evento, id_empresa, revestimento, 
								acabamento, capa, stylo, laminacao, qto_foto, obs
								from evento_encadernacao
								where id_evento = $id_evento
								and id_empresa = $this->id_empresa";

		$this->execulta();
	}


	function UpdateEncadernacao($id_evento, $id_evento_encadernacao, $revestimento, $acabamento, $capa, $stylo, $laminacao, $qto_foto, $obs)
	{
		$revestimento = addslashes($revestimento);
		$acabamento = addslashes($acabamento);
		$capa = addslashes($capa);
		$stylo = addslashes($stylo);
		$laminacao = addslashes($laminacao);
		$qto_foto = addslashes($qto_foto);
		$obs = addslashes($obs);

		$this->sql = "UPDATE evento_encadernacao 
								SET 
								revestimento = '$revestimento',
								acabamento = '$acabamento',
								capa = '$capa',
								stylo = '$stylo',
								laminacao = '$laminacao',
								qto_foto = '$qto_foto',
								obs = '$obs' 
								WHERE id_evento_encadernacao = $id_evento_encadernacao;";
		$this->execulta();

		//echo mysqli_affected_rows($this->mysqlCom->connect());

		if (mysqli_affected_rows($this->mysqlCom->connect()) == -1) {
			$this->InsertEncadernacao($id_evento, $revestimento, $acabamento, $capa, $stylo, $laminacao, $qto_foto, $obs);
		}
	}





	function InsertEncadernacao($id_evento, $revestimento, $acabamento, $capa, $stylo, $laminacao, $qto_foto, $obs)
	{
		$this->sql = "INSERT INTO evento_encadernacao
							(id_evento, id_empresa, revestimento, acabamento, capa, stylo, laminacao, qto_foto, obs)
							values
							($id_evento, $this->id_empresa, '$revestimento', '$acabamento', '$capa', '$stylo', '$laminacao', '$qto_foto', '$obs')";
		echo $this->sql;

		$this->execulta();
	}


	function DeleteEncadernacao($id_evento_encadernacao)
	{
		$this->sql = "delete from evento_encadernacao
							  where id_evento_encadernacao = $id_evento_encadernacao";
		$this->execulta();
	}
}
